ProgressEvent (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.utils.progress

## Class ProgressEvent

- java.lang.Object
- - org.apache.cassandra.utils.progress.ProgressEvent

-     public class ProgressEvent
      extends java.lang.Object

  Progress event

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProgressEvent(ProgressEventType type, int progressCount, int total)`
    `ProgressEvent(ProgressEventType type, int progressCount, int total, java.lang.String message)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ProgressEvent` | `createNotification(java.lang.String message)`
    `java.lang.String` | `getMessage()`
    `int` | `getProgressCount()`
    `double` | `getProgressPercentage()`
    `int` | `getTotal()`
    `ProgressEventType` | `getType()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ProgressEvent

          public ProgressEvent(ProgressEventType type,
                               int progressCount,
                               int total)

    - #### ProgressEvent

          public ProgressEvent(ProgressEventType type,
                               int progressCount,
                               int total,
                               java.lang.String message)

  - ### Method Detail

    - #### createNotification

          public static ProgressEvent createNotification(java.lang.String message)

    - #### getType

          public ProgressEventType getType()

    - #### getProgressCount

          public int getProgressCount()

    - #### getTotal

          public int getTotal()

    - #### getProgressPercentage

          public double getProgressPercentage()

    - #### getMessage

          public java.lang.String getMessage()

      Returns:
        Message attached to this event. Can be null.

Copyright © 2018 The Apache Software Foundation